
Redmine - Feature #6386

Issue mail should render the HTML version of the issue details

2010-09-14 03:57 - Randy Syring

Status: Closed Start date: 2010-09-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

The view issue_edit.text.html.rhtml should use the HTML version of show_detail().  The current implementation looks like:

<ul>

<% for detail in @journal.details %>

    <li><%= show_detail(detail, true) %></li>

<% end %>

</ul>

 But since this is for an HTML display, the following should be used:

<ul>

<% for detail in @journal.details %>

    <li><%= show_detail(detail) %></li>

<% end %>

</ul>

 Unfortunately, when that is changed, an error is thrown when updating an issue if an email is sent out.  For some reason, the

following line from issues_helper.rb (line 147 in 1.0.1):

      old_value = content_tag("strike", old_value) if detail.old_value and (!detail.value or detai

l.value.empty?)

 Causes an exception.  The exception is raised because detail.value is a Fixnum and Fixnum doesn't have a .empty? method.

Related issues:

Related to Redmine - Defect #10251: Description diff link in note details is ... Closed

Associated revisions

Revision 6323 - 2011-07-29 18:26 - Jean-Philippe Lang

Use #blank? instead.

History

#1 - 2012-03-06 09:51 - Etienne Massip

- Tracker changed from Defect to Feature

- Subject changed from issue_edit.text.html.rhtml should use the HTML version of show_detail() & error in show_detail() to Issue mail should render

the HTML version of the issue details

- Status changed from New to Closed

- Target version set to 1.4.0

- Resolution set to Fixed

This has been done with r8721 for 1.4.0; the above mentioned issue had already been fixed by r6323.
